/*
 * whitecalibration.h: White calibration for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_WHITECALIBRATION_H
#define _ATMO_WHITECALIBRATION_H

// --- cAtmoWhiteCalibration --------------------------------------------------

class cAtmoWhiteCalibration : public cOsdObject {
private:
  cOsd *osd;
  int cursor;    // current choosen line
  int max_lines; // number of lines
  tMode old_Mode;
  tFilter old_FilterMode;

  void AdjustValue(unsigned char *value, int step);
  void Adjust(int step);
  void DrawLine(int line_nr, const char *desc, int value);
  void DrawTexts(void);
public:
  cAtmoWhiteCalibration();
  ~cAtmoWhiteCalibration();
  virtual void Show(void);
  static bool SetupParse(const char *Name, const char *Value);
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
};

#endif //_ATMO_WHITECALIBRATION_H
